Bug 474853 - Activation Key error code message
Activation Key error code message
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Registration (Show other bugs)
All Linux
high Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Preethi Thomas
Depends On:
Blocks: 456998
  Show dependency treegraph
Reported: 2008-12-05 11:33 EST by Clifford Perry
Modified: 2009-09-10 15:48 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-09-10 15:48:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Clifford Perry 2008-12-05 11:33:21 EST
Description of problem:

During the usage of rhnreg_ks --activationkey  if you use an incorrect activation key such as forgetting the '1-' in front of the key, the error message returned is not great. A better explanation/suggestion on finding the correct key may be good. 

[root@rlx-1-16 ~]# rhnreg_ks --activationkey foobar --force

Error Message:
    Could not find token 'foobar'
Error Class Code: 60
Error Class Info: Invalid system registration token
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.

[root@rlx-1-16 ~]# 

Just saying to open a bugzilla is the wrong thing in a Satellite context. Suggesting contacting the Satellite admin and/or how to go to the Activation key list in UI to confirm the correct string was used.


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 2 Preethi Thomas 2009-03-04 08:40:23 EST

[root@rlx-3-08 ~]# rhnreg_ks --activationkey test --force

Error Message:
    Could not find token 'test'
Error Class Code: 60
Error Class Info: 
     The activation token specified could not be found on the server.
     Please retry with a valid key.
Comment 3 Brad Buckingham 2009-07-31 11:47:35 EDT
verified with 7/24 stage iso.  moving to RELEASE_PENDING
Comment 4 Brandon Perkins 2009-09-10 15:48:05 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.